package com.patzn.lims.frame.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.frame.dto.LmsFrameComplaintManageDTO;
import com.patzn.lims.frame.entity.LmsFrameComplaintManage;
import com.patzn.lims.frame.vo.LmsFrameComplaintManageVO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author patzn123
 * @since 2018-01-09
 */
public interface ILmsFrameComplaintManageService extends IBaseService<LmsFrameComplaintManage> {


    Page<LmsFrameComplaintManageVO> pageVO(Page<LmsFrameComplaintManageVO> page, LmsFrameComplaintManageDTO lmsFrameComplaintManageDTO);

    List<LmsFrameComplaintManage> list(LmsFrameComplaintManage lmsFrameComplaintManage);

    LmsFrameComplaintManageVO getVOById(Long id);

    boolean edit(LmsFrameComplaintManage lmsFrameComplaintManage);

    boolean submit(List<Long> longs);

    boolean existByIds(Long[] ids);
}
